#pragma once

#include <fstream>

namespace Parser
{
class Parser {
public:
    Parser();
    bool Parse(char* path);
    ~Parser();
private:
    void Consume(char c);
    int         m_rowCount;
    int         m_colCount;
};
}